package com.bonus.canteen.core.allocation.canteen.dto;

import com.bonus.canteen.core.allocation.canteen.dto.base.AllocCanteenOrderBaseDTO;
import io.swagger.annotations.ApiModel;

@ApiModel("点餐设置DTO")
public class AllocCanteenOrderDTO extends AllocCanteenOrderBaseDTO {
   @Override
   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof AllocCanteenOrderDTO)) {
         return false;
      } else {
         AllocCanteenOrderDTO other = (AllocCanteenOrderDTO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            return super.equals(o);
         }
      }
   }

   @Override
   protected boolean canEqual(final Object other) {
      return other instanceof AllocCanteenOrderDTO;
   }

   @Override
   public int hashCode() {
      int result = super.hashCode();
      return result;
   }

   @Override
   public String toString() {
      return "AllocCanteenOrderDTO()";
   }
}
